
Installer - Bug #35390

pulp_ansible API is wrongly configured, leading to uninstallable content

08/19/2022 08:49 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/262

  

Description

reported in https://community.theforeman.org/t/ansible-collection-and-ansible-galaxy/29999/2

% ansible-galaxy collection install -r requirements.yml --ignore-certs

Starting galaxy collection install process

Process install dependency map

Starting collection install process

Downloading centos8-stream-katello-4-5.tanso.example.com/pulp_ansible/galaxy/default/api/v3/plugin

/ansible/content/Default_Organization/Library/custom/lol/ansible/collections/artifacts/theforeman-

foreman-3.4.0.tar.gz to /home/evgeni/.ansible/tmp/ansible-local-3817261nrpb4wvj/tmpdqv0rst5/thefor

eman-foreman-3.4.0-qf9owvho

ERROR! Unexpected Exception, this is probably a bug: unknown url type: 'centos8-stream-katello-4-5

.tanso.example.com/pulp_ansible/galaxy/default/api/v3/plugin/ansible/content/Default_Organization/

Library/custom/lol/ansible/collections/artifacts/theforeman-foreman-3.4.0.tar.gz'

 the issue is that we set ANSIBLE_API_HOSTNAME without a schema in /etc/pulp/settings.py

Associated revisions

Revision 5858c93e - 08/22/2022 07:57 AM - Evgeni Golov

Fixes #35390 - set ANSIBLE_API_HOSTNAME with scheme

Fixes: 17a84f377da89c637468685b93bb61c3dc7bd369

Fixes: 6ed8be4ec1dd8170fdf8e373019164ac15cb2dec

See https://github.com/pulp/pulp_ansible/blob/0.13/docs/settings.rst#ansible_api_hostname

History

#1 - 08/19/2022 08:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/262 added

#2 - 08/22/2022 08:01 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|5858c93e91a29f910aa9eab0e0fb6bd34a69e071.
